Package org.apache.aries.jax.rs.rest.management.internal

## Class FrameworkBundleStartLevelResource

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.BaseResource
  - - org.apache.aries.jax.rs.rest.management.internal.FrameworkBundleStartLevelResource

    public class FrameworkBundleStartLevelResource
    extends BaseResource

### Constructor Summary

Constructors
`FrameworkBundleStartLevelResource​(org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.ws.rs.core.Response` `bundleStartlevel​(long bundleid, String ext)`
`javax.ws.rs.core.Response` `bundleStartlevel​(BundleStartLevelSchema update, long bundleid, String ext, javax.ws.rs.core.MediaType contentType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameworkBundleStartLevelResource

    public FrameworkBundleStartLevelResource​(org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### bundleStartlevel

    @GET
    @Produces({"application/org.osgi.bundlestartlevel+json","application/org.osgi.bundlestartlevel+xml"})
    @Path("framework/bundle/{bundleid}/startlevel{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response bundleStartlevel​(@PathParam("bundleid")
                                                      long bundleid,
                                                      @PathParam("ext")
                                                      String ext)

#### bundleStartlevel

    @PUT
    @Consumes({"application/org.osgi.bundlestartlevel+json","application/org.osgi.bundlestartlevel+xml"})
    @Produces({"application/org.osgi.bundlestartlevel+json","application/org.osgi.bundlestartlevel+xml"})
    @Path("framework/bundle/{bundleid}/startlevel{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response bundleStartlevel​(BundleStartLevelSchema update,
                                                      @PathParam("bundleid")
                                                      long bundleid,
                                                      @PathParam("ext")
                                                      String ext,
                                                      @HeaderParam("Content-Type")
                                                      javax.ws.rs.core.MediaType contentType)